
Foreman - Refactor #8426

Move scoped search into concerns

11/17/2014 07:19 PM - Daniel Lobato Garcia

Status: Rejected   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1952

  

Description

Scoped search definitions can be cumbersome at times and don't really define the business logic of a model. I think hiding them

under the carpet by moving most of the definitions to concerns (as we do with hostext) we can later on include would keep the code

cleaner. There are 3 or 4 models with just 1 scoped_search attribute I didn't bother to move, later commits that move them into

concerns when they become bigger can just ref this issue.

History

#1 - 11/17/2014 07:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1952 added

- Pull request deleted ()

#2 - 11/18/2014 03:20 AM - Dominic Cleal

- Category set to Search

- Assignee set to Daniel Lobato Garcia

#3 - 01/24/2015 01:06 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

#4 - 01/24/2015 01:06 PM - Daniel Lobato Garcia

- Status changed from Closed to Rejected
